<template>
  <div class="float-top-right">
    <slot />
  </div>
</template>
<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';

@Component
export default class CanvasSwitcherMenu extends Vue {

}
</script>
<style lang="scss" scoped>
.float-top-right {
  // Make all top-right buttons align themselves to the right
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.float-top-right ::v-deep > * {
  // Remove all border radiuses, and let components add rounded-bl-xl if they are first
  border-radius: 0;
  // Prevent component from taking whole width
  flex-grow: 0;
  // Override button sizes to match with select
  height: 38px !important;
  box-shadow: none;
}
</style>
